# my global config
global:
  scrape_interval: 15s # Set the scrape interval to every 15 seconds. Default is every 1 minute.
  evaluation_interval: 15s # Evaluate rules every 15 seconds. The default is every 1 minute.
  # scrape_timeout is set to the global default (10s).

# Alertmanager configuration
alerting:
  alertmanagers:
    - static_configs:
        - targets:
          # - alertmanager:9093

# Load rules once and periodically evaluate them according to the global 'evaluation_interval'.
rule_files:
  # - "first_rules.yml"
  # - "second_rules.yml"

# A scrape configuration containing exactly one endpoint to scrape:
# Here it's Prometheus itself.
#scrape_configs:
  # The job name is added as a label `job=<job_name>` to any timeseries scraped from this config.
#  - job_name: "prometheus"

    # metrics_path defaults to '/metrics'
    # scheme defaults to 'http'.

#    static_configs:
#      - targets: ["localhost:9090", "localhost:9182"]

scrape_configs:
  - job_name: "windows"
    metrics_path: '/metrics'
    scrape_interval: 15s
      #IP-адрес и порт, где собираются метрики window_exporter\
    static_configs:
      - targets: ['localhost:9182']

#scrape_configs:
  - job_name: 'jmeter'
    metrics_path: '/metrics'
    scrape_interval: 15s
    static_configs:
      - targets: ['localhost:9270']

#scrape_configs:
  - job_name: 'flask'
    metrics_path: '/metrics'
    scrape_interval: 15s
    static_configs:
      - targets: ['localhost:5000']

#scrape_configs:
  - job_name: 'neoskils'
    metrics_path: '/actuator/prometheus'
    scrape_interval: 15s
    static_configs:
      - targets: ['localhost:8080']

#scrape_configs:
  - job_name: 'postgres'
    metrics_path: '/metrics'
    honor_labels: true
    scrape_interval: 15s
    scrape_timeout: 15s
    static_configs:
      - targets: ['localhost:9187']
        labels:
          alias: postgres

#  - job_name: 'blackbox'

#        metrics_path: /probe

#        params:

#              module: [http_2xx]  # Look for a HTTP 200 response.

#      static_configs:

#        - targets:

#              -https://youtube.com

#              -https://google.com

#      relabel_configs:

#        - source_labels: [__address__]

#              target_label: __param_target

#        - source_labels: [__param_target]

#              target_label: instance

#        - target_label: __address__

#              replacement: localhost:9115  # The blackbox exporter's real hostname:port

